Apache JMeter

## org.apache.jmeter.visualizers
Class TableVisualizer.SampleSuccessFunctor

    java.lang.Object
      org.apache.jorphan.reflect.Functor
          org.apache.jmeter.visualizers.TableVisualizer.SampleSuccessFunctor

Enclosing class:
  TableVisualizer

    public static class TableVisualizer.SampleSuccessFunctor

extends Functor

Constructor Summary
`TableVisualizer.SampleSuccessFunctor(String methodName)`

Method Summary
`Object` `invoke(Object p_invokee)` Invoke the method on a given object.

Methods inherited from class org.apache.jorphan.reflect.Functor
`checkMethod, checkMethod, invoke, invoke, invoke, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableVisualizer.SampleSuccessFunctor

    public TableVisualizer.SampleSuccessFunctor(String methodName)

Method Detail

### invoke

    public Object invoke(Object p_invokee)

  Description copied from class: `Functor`
  Invoke the method on a given object.

  Overrides:
    `invoke` in class `Functor`
  Parameters:
    `p_invokee` - - provides the object to call; ignored if the class or object were provided to the constructor
  Returns:
    the value

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.